RMMOD(8)

NAZWA
rmmod - prosty program do usuwania modułu z jądra Linux

SKŁADNIA

rmmod [-f] [-s] [-v] [nazwa-modułu]

OPIS

rmmod jest bardzo prostym programem do usuwania modułu (gdy obsługa usuwania załadowanego modułu jest dostępna) z jądra. Większość użytkowników będzie wolała użyć do tego celu modprobe(8) z opcją -r.

OPCJE

-v, --verbose
    Wypisuje informacje o czynnościach wykonywanych przez program. rmmod wypisuje zwykle komunikaty jedynie, gdy występują jakieś problemy.

-f, --force
    Ta opcja może być ekstremalnie niebezpieczna: nie odnosi skutku, chyba że podczas kompilacji jądra ustawiono opcje CONFIG_MODULE_FORCE_UNLOAD. Przy użyciu tej opcji, można usunąć moduły, które są w użyciu lub takie, które nie zostały zaprojektowane do usuwania albo zostały oznaczone jako niebezpieczne (patrz lsmod(8)).

-s, --syslog
    Wysyła błędy do sysloga, zamiast na standardowe wyjście błędów.

-V --version
    Wyświetla informacje o wersji i kończy działanie.

PRAWA AUTORSKIE

Pierwotnie: Copyright 2002, Rusty Russell, IBM Corporation. Strona podręcznika jest obecnie zarządzana przez Jona Mastersa i innych.

ZOBACZ TAKŻE

modprobe(8), insmod(8), lsmod(8), modinfo(8) depmod(8)

AUTORZY

Jon Masters <jcm@jonmasters.org>
    Deweloper

Lucas De Marchi <lucas.de.marchi@gmail.com>
    Deweloper

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Andrzej Krzysztofowicz <ankry@green.mf.pg.gda.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.